Skip to main content
`Ctrl`+`K`

# PCBDDCSetDofsSplittingLocal

Set the `IS` defining fields of the local subdomain matrix

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetDofsSplittingLocal(PC pc, PetscInt n_is, IS ISForDofs[])

Collective

## Input Parameters

- pc - the preconditioning context

- n_is - number of index sets defining the fields, must be the same on all MPI processes

- ISForDofs - array of `IS` describing the fields in local ordering

## Note

Not all nodes need to be listed, unlisted nodes will belong to the complement field.

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetDofsSplitting()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Examples

src/ksp/ksp/tutorials/ex59.c

## Implementations

PCBDDCSetDofsSplittingLocal_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages